qq_18895659
AngusC·
2015-11-16 12:05
采纳率: 100%
浏览 1.6k
已采纳

eclipse装Swing插件问题,插件能用,但是插件生成的代码有警告,但运行得,请问怎么解决

eclipse装Swing插件问题,插件能用,但是插件生成的代码有警告,但运行得,请问怎么解决

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

2条回答 默认 最新

  • wojiushiwo945you
    毕小宝 2015-11-17 04:15
    已采纳

    java代码中你给的警告信息是编译器给出的,可能代码不太规范,或者存在隐含的运行时异常风险。
    通常警告是没有大碍的,可以忽略的。

    点赞 评论
  • qq_18895659
    AngusC· 2016-06-26 03:49

    直接忽略掉。有的警告比如集合List这些从jdk5开始后有泛型如果不给它指定泛型类型就会有警告,这个没事的,直接忽略,如果你实在看不下了可以在那个类上面用注解@SuppressWarnings("all"),这样就完全没有警告了

    点赞 评论

相关推荐